<!doctype html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Purchase Order <% purchaseOrderId %></title>
  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
  <style>
    :root {
      --border-color: gray;
    }
    
    body {
      font-family: 'Roboto', sans-serif;
    }
  </style>
  <style>
    
    .invoice {
      width: 750px;
      margin: 10px auto;
      display: grid;
      grid-template: auto/1fr;
      border: 1px solid var(--border-color);
      border-radius: 4px;
      font-size: 12px;
    }

    pre {
      margin: 0;
      font-family: 'Roboto', sans-serif;
    }

    section > * {
      padding: 16px;
    }

    section:not(:last-child) {
      border-bottom: 1px solid var(--border-color);
    }

    section > *:not(:last-child) {
      border-right: 1px solid var(--border-color);
    }

    .address {
      line-height: 20px;
    }

    .company-header {
      display: grid;
      grid-template-columns: 1fr 1fr;
    }

    .company-name {
      display: grid;
      grid-template-columns: auto 1fr;
      gap: 8px;
    }

    .company-name img {
      height: 60px;
      object-fit: contain;
    }

    .document-title {
      text-align: left;
      text-transform: uppercase;
      font-weight: bold;
      letter-spacing: 2px;
      font-size: 24px;
    }

    .word-break{
      word-break: break-all;
    }


    .addresses {
      display: grid;
      grid-template-columns: 1fr 1fr;
    }

    .vendor-details {
      display: grid;
      grid-template: auto/repeat(4, 1fr);
    }

    .vendor-details .header {
      background: lightgray;
      border-bottom: 1px solid var(--border-color);
      padding: 16px;
    }

    .po-number {
      word-break: break-all;
      overflow-wrap: break-word;
    }

    .orders {
      display: grid;
      width: 100%;
      grid-template-columns: 1fr 1fr 2fr repeat(7, 1fr);
      word-wrap: break-all;
    }

    .orders .border {
      border-bottom: 1px solid var(--border-color);
      padding: 10px;
    }

    .orders .description {
      grid-column: span 10;
    }

    .orders .header {
      background: lightgray;
      border-bottom: 1px solid var(--border-color);
      padding: 10px;
    }

    .orders .value {
      padding: 10px;
    }

    .header {
      text-transform: uppercase;
      font-weight: bold;
    }

    .bold {
      font-weight: bold;
    }

    .amount {
      text-align: right;
    }

    .conclusion {
      display: grid;
      grid-template: auto/1fr 180px 120px;
    }

    .footnote {
      padding: 15px;
      line-height: 24px;
    }

    .totals-headers {
      padding: 0;
      font-weight: bold;
      text-transform: uppercase;
    }

    .totals-headers .value {
      font-size: 12px;
    }
    
    .totals-headers .value, .totals .value {
      height: 20px;
    }

    .totals-headers .value, .totals .value {
      padding: 16px;
    }

    .totals-headers .value:not(:last-child),
    .totals .value:not(:last-child) {
      padding: 16px;
      border-bottom: 1px solid var(--border-color);
    }

    .totals {
      padding: 0;
    }

    .vendor-ba-details {
      line-height: 24px;
    }
  </style>
  <style>
    .orders-title {
      width: 700px;
      margin: 32px auto 0;
      text-transform: uppercase;
      font-weight: bold;
      font-size: 24px;
    }
    
    .product-detail {
      width: 700px;
      margin: 16px auto 32px;
      border: 1px solid var(--border-color);
      border-radius: 4px;
      font-size: 14px;
      display: grid;
      grid-template: auto/200px 280px 180px;
      gap: 8px;
      padding: 8px;
      word-wrap: break-word;
    }
    
    .product-image {
      width: 200px;
      height: 200px;
      object-fit: contain;
      border-radius: 4px;
      border: 1px solid lightgray;
    }
    
    .no-asset {
      width: 200px;
      height: 200px;
      display: flex;
      align-items: center;
      justify-content: center;
      border-radius: 4px;
      border: 1px solid lightgray;
    }

    .order-info {
      gap: 8px;
      padding: 16px;
      font-size: 12px;
      word-wrap: break-word;
    }

    .order-qr {
      border-radius: 4px;
      border: 1px solid lightgray;
    }
   
    .product-detail img {
      width: 200px;
      height: 200px;
      border: 1px solid lightgray;
      border-radius: 3px;
      object-fit: contain;
      align-self: center;
      justify-self: center;
    }

    .order-qr img {
      width: 200px;
      height: 200px;
      object-fit: contain;
      align-self: center;
      justify-self: center;
    }
  </style>
</head>
<body>
<div class="invoice">
  <section class="company-header">
    <div class="company-name">
      <img src="<%= ispravaLogoUrl %>" alt="isprava-logo">
      <div class="address company-details">
        <div class="header">Billing Address</div>
        <div><%= companyName %> </div>
        <% companyAddress.forEach(partial => { %>
        <div><%= partial %></div>
        <% }) %>
        <div>GSTIN: <%= companyGstIn %> </div>
      </div>
    </div>
    <div>
      <div class="document-title">
        Purchase Order
      </div>
      <div class="word-break"><%= reference %></div>
      <div>[The P.O. number must appear on all related correspondence, shipping papers, and invoices]</div>
      <div> Acc. reference: <%= tallyReference %> </div>
    </div>
  </section>
  <section class="addresses">
    <div class="address">
      <div class="header">To:</div>
      <div><%= vendorName %></div>
      <% vendorAddress.forEach(partial => { %>
      <div><%= partial %></div>
      <% }) %>
      <div> <span class="bold">Email Id: </span> <%= vendorEmail %> </div>
      <div> <span class="header">Contact: </span> <%= vendorContact %> </div>
      <div> <span class="header">GSTIN: </span> <%= vendorGstIn %> </div>
      <div> <span class="header">PAN: </span> <%= vendorPan %> </div>
    </div>
    <div class="address">
      <div class="header">Shipping To:</div>
      <div><%= shippingToName %></div>
      <% shippingToAddress.forEach(partial => { %>
      <div><%= partial %></div>
      <% }) %>
    </div>
  </section>
  <section class="vendor-details">
    <div class="header">
      <div>PO date</div>
    </div>
    <div class="header">
      <div>Ordered By</div>
    </div>
    <div class="header">
      <div>Shipped Via</div>
    </div>
    <div class="header">
      <div>Delivery Point</div>
    </div>
    <div class="value po-date">
      <div><%= poDate %></div>
    </div>
    <div class="value requisitioner">
      <div><%= requisitioner %></div>
    </div>
    <div class="value shipped-via">
      <div><%= shippedVia %></div>
    </div>
    <div class="value delivery-point">
      <div><%= deliveryPoint %></div>
    </div>
  </section>
  <section class="orders">
    <div class="header">No</div>
    <div class="header">Cost Center</div>
    <div class="header">Name</div>
    <div class="header">Delivery Date</div>
    <div class="header">Qty.</div>
    <div class="header">Unit</div>
    <div class="header">Unit Price</div>
    <div class="header">GST%</div>
    <div class="header">Base Amt.</div>
    <div class="header">GST Amt.</div>
    <% orders.forEach((order, index) => { %>
      <div class="border"><%= index + 1 %>.</div>
      <div class="border"> <%= order.costCenter %></div>
      <div class="border word-break"><%= order.name %> </div>
      <div class="border"><%= order.deliveryDate %></div>
      <div class="border"><%= order.quantity.toLocaleString("en-in", {minimumFractionDigits: 2, maximumFractionDigits: 2}) %></div>
      <div class="border"><%= order.unit %></div>
      <div class="border amount"><%= order.rate.toLocaleString("en-in", {minimumFractionDigits: 2, maximumFractionDigits: 2}) %></div>
      <div class="border amount"><%= order.totalGst.toLocaleString("en-in", {minimumFractionDigits: 2, maximumFractionDigits: 2}) %></div>
      <div class="border amount"><%= order.amount.toLocaleString("en-in", {minimumFractionDigits: 2, maximumFractionDigits: 2}) %></div>
      <div class="border amount"><%= order.totalGstAmount.toLocaleString("en-in", {minimumFractionDigits: 2, maximumFractionDigits: 2}) %></div>
      <div class="border description"> 
         <span class="bold"> Description:</span> <%= order.description %>  |  Dimensions: <%= order.dimensions %> 
         <% if(order.cancelledPoId !== null){ %>
          <br></br>
          <span>This product is taken from cancelled PO number <strong> <%= order.cancelledPoId %> </strong> </span>
        <% } %>
      </div>
    <% }) %>
  </section>
  <section class="conclusion">
    <div> </div>
    <div class="totals-headers">
      <div class="value">
        Subtotal
      </div>
      <div class="value">
        CGST
      </div>
      <div class="value">
        SGST
      </div>
      <div class="value">
        IGST
      </div>
      <div class="value">
        Shipping/Handling
      </div>
      <div class="value">
        Transportation
      </div>
      <div class="value">
        Total
      </div>
    </div>
    <div class="totals">
      <div class="value amount">
        <%= subtotal.toLocaleString("en-in", {minimumFractionDigits: 2, maximumFractionDigits: 2}) %>
      </div>
      <div class="value amount">
        <%= cgst.toLocaleString("en-in", {minimumFractionDigits: 2, maximumFractionDigits: 2}) %>
      </div>
      <div class="value amount">
        <%= sgst.toLocaleString("en-in", {minimumFractionDigits: 2, maximumFractionDigits: 2}) %>
      </div>
      <div class="value amount">
        <%= igst.toLocaleString("en-in", {minimumFractionDigits: 2, maximumFractionDigits: 2}) %>
      </div>
      <div class="value amount">
        <%= packaging.toLocaleString("en-in", {minimumFractionDigits: 2, maximumFractionDigits: 2}) %>
      </div>
      <div class="value amount">
        <%= transportation.toLocaleString("en-in", {minimumFractionDigits: 2, maximumFractionDigits: 2}) %>
      </div>
      <div class="value amount">
        <%= total.toLocaleString("en-in", {minimumFractionDigits: 2, maximumFractionDigits: 2}) %>
      </div>
    </div>
  </section>

</div>
<div style="page-break-after:always;"></div>
<div class="invoice">
  <div class="footnote">
  <div class="header">
    Terms & Conditions
  </div>
  <div>
    <ul>
      <li> Please send two copies of your invoice.</li>
      <li> Please notify us immediately if you are not able to ship as specified.</li>
      <li> Late delivery will be subject to cancellation.</li>
      <li> <span class="bold">Payment Terms:</span> <%= paymentTerms %> </li>
    </ul>
  </div>
</div>

  <section class="vendor-ba-details">
    <div>
      <div><strong>Account Name:</strong>  <%= vendorAccName %></div>
      <div><strong>Account Number:</strong> <%= vendorAccNumber %></div>
      <div><strong>Branch:</strong> <%= vendorAccBranch %></div>
      <div><strong>IFSC:</strong> <%= vendorAccIfsc %></div>
    </div>
  </section>
  <section class="footer">
    <div>* If GST is charged, GST number should be mandatory</div>
  </section>
</div>
<br><div style="page-break-after:always;"></div>
<div class="invoice">
  <div class="orders-title">
    Product Details
  </div>
  <% orders.forEach((order, index) => { %>
    <div class="product-detail">
    <% if (order.thumbnail) { %>
      <img 
        src="<%= order.thumbnail  %>" 
        alt="<%= order.name  %>"
        class="product-image"
      />
    <% } else { %>
      <div class="no-asset">No Image</div>
    <% } %>
      <div class="order-info">
        <div><strong>Name:</strong> <%= order.name %></div>
        <div><strong>SKU:</strong> <%= order.sku %></div>
        <div><strong>Quantity:</strong> <%= order.quantity %></div>
        <div><strong>url:</strong> <%= order.onlineLink %> </div>
      </div> 
      <% if (order.qrDataUrl) { %>
        <img 
          src="<%= order.qrDataUrl %>" 
          alt="<%= order.qrName %>"
          class="order-qr"
        />
      <% } else { %>
        <div class="no-asset">No Image</div>
      <% } %>
    </div>
    <% if ((index + 1) % 3 == 0) { %>
      <br><div style="page-break-after:always;"></div>
    <% } %>
  <% }) %>
</div>
</body>
</html>